## buildstream 1.2.4

=== requirements/requirements.txt ===
Click==7.0
grpcio==1.18.0
pluginbase==0.7
protobuf==3.6.1
psutil==5.4.8
ruamel.yaml==0.15.51
setuptools==40.6.2
## The following requirements were added by pip freeze:
Jinja2==2.10
MarkupSafe==1.1.0
six==1.12.0

=== debian/changelog ===
buildstream (1.2.4-1) unstable; urgency=medium

  * New upstream release
  * Improve running tests but continue to ignore test failures

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Feb 2019 21:37:08 -0500

buildstream (1.2.3-2) unstable; urgency=medium

  * Have buildstream recommend python3-bst-external
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 20 Jan 2019 17:26:11 -0500

buildstream (1.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #916668)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Dec 2018 21:27:38 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: buildstream
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               bubblewrap,
               dh-python,
               gnome-pkg-tools (>= 0.10),
               libfuse-dev <!nocheck>,
               pylint3 <!nocheck>,
               python3,
               python3-click <!nocheck>,
               python3-coverage <!nocheck>,
               python3-grpcio <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-pip <!nocheck>,
               python3-psutil <!nocheck>,
               python3-pluginbase <!nocheck>,
               python3-protobuf <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-pep8 <!nocheck>,
               python3-pytest-pylint <!nocheck>,
               python3-pytest-runner,
               python3-pytest-timeout <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-ruamel.yaml <!nocheck>,
               python3-setuptools,
               python3-wheel <!nocheck>,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/buildstream
Vcs-Git: https://salsa.debian.org/gnome-team/buildstream.git
Homepage: https://buildstream.build/

Package: buildstream
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-buildstream (= ${binary:Version})
Recommends: python3-bst-external
Description: toolset for the Buildstream project
 BuildStream is a GNOME project to improve the continuous integration
 of complex systems and applications. The project aims to pay special
 attention to those developers and integrators who care about the
 maintainability of their projects during a long period of time.
 .
 BuildStream is also a powerful and flexible software integration toolset.
 It has been designed to create different outputs out of a unique input
 and, at the same time, it is able to adapt to complex workflows, even
 when additional build tools are required. An important part of
 BuildStream is a sister project called BuildGrid, that allows
 BuildStream to build at scale.
 .
 This package provides the toolset, accessible with the `bst` command.

Package: python3-buildstream
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python library for BuildStream toolset
 BuildStream is a GNOME project to improve the continuous integration
 of complex systems and applications. The project aims to pay special
 attention to those developers and integrators who care about the
 maintainability of their projects during a long period of time.
 .
 BuildStream is also a powerful and flexible software integration toolset.
 It has been designed to create different outputs out of a unique input
 and, at the same time, it is able to adapt to complex workflows, even
 when additional build tools are required. An important part of
 BuildStream is a sister project called BuildGrid, that allows
 BuildStream to build at scale.
 .
 This package provides the Python3 libraries.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_PYTEST = 0

%:
	dh $@ --with gnome,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# Maybe this should be in a separate package
	# But for now, it doesn't seem necessary for most users
	rm -f debian/buildstream/usr/bin/bst-artifact-server

override_dh_missing:
	dh_missing --fail-missing

# The tests don't work in Debian. Not sure they're very useful for us.
override_dh_auto_test:
	-PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test

## buildstream 1.4.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# Note, due to a problem with python2/python3 parallel
# installability of sphinx (https://github.com/sphinx-doc/sphinx/issues/4375)
# we dont use the standard `sphinx-build` and `sphinx-apidoc` entry points.
#
# The following technique works as long as sphinx is installed for python3,
# regardless of the entry point which might be in /usr/bin or PATH, but
# will stop working in sphinx >= 2.0. Hopefully by then, the mentioned
# bug will be fixed and we can use a standard python3 specific script to
# invoke sphnix.
#
SPHINXOPTS    =
SPHINXBUILD   = python3 -m sphinx
SPHINXAPIDOC  = python3 -m sphinx.ext.apidoc
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -W -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

# Set BST_FORCE_SESSION_REBUILD to force rebuild the docs
BST2HTML = $(CURDIR)/bst2html.py
BST2HTMLOPTS =
ifneq ($(strip $(BST_FORCE_SESSION_REBUILD)),)
BST2HTMLOPTS = --force
endif

# Help Python find buildstream and its plugins
PYTHONPATH=$(CURDIR)/..:$(CURDIR)/../buildstream/plugins


.PHONY: all clean templates templates-clean sessions sessions-prep sessions-clean html devhelp

# Canned recipe for generating plugin api skeletons
#   $1 = the plugin directory
#   $2 = the output docs directory
#
# Explanation:
#
#   Sphinx does not have any option for skipping documentation,
#   we dont want to document plugin code because nobody uses that
#   but we do want to use module-level docstrings in plugins in
#   order to explain how plugins work.
#
#   For this purpose, we replace sphinx-apidoc with a simple
#   makefile rule which generates a template slightly differently
#   from how sphinx does it, allowing us to get what we want
#   from plugin documentation.
#
define plugin-doc-skeleton
	@for file in $$(find ${1} -name "*.py" ! -name "_*.py"); do	\
	    base=$$(basename $$file);					\
	    module=${2}.$${base%.py};					\
	    modname=$${base%.py};					\
	    echo -n "Generating source/${2}/$${modname}.rst... ";	\
	    sed -e "s|@@MODULE@@|$${module}|g" 				\
		source/plugin.rsttemplate > 				\
                source/${2}/$${modname}.rst.tmp && 			\
		mv source/${2}/$${modname}.rst.tmp source/${2}/$${modname}.rst || exit 1; \
	    echo "Done."; \
	done
endef


all: html devhelp

clean: templates-clean sessions-clean
	rm -rf build

# Generate rst templates for the docs using a mix of sphinx-apidoc and
# our 'plugin-doc-skeleton' routine for plugin pages.
templates:
	mkdir -p source/elements
	mkdir -p source/sources
	$(SPHINXAPIDOC) --force --separate --module-first --no-headings --no-toc -o source $(CURDIR)/../buildstream *_pb2*.py
	$(call plugin-doc-skeleton,$(CURDIR)/../buildstream/plugins/elements,elements)
	$(call plugin-doc-skeleton,$(CURDIR)/../buildstream/plugins/sources,sources)

templates-clean:
	rm -rf source/elements
	rm -rf source/sources

# Stage the stored sessions into the place where they will
# be used in the build.
#
# This is separated so that the git tree does not become
# dirty as a result of a documentation build process - which
# messes up the docs version number and the version number
# printed in some command line output.
#
sessions-prep:
	mkdir -p source/sessions
	cp source/sessions-stored/*.html source/sessions

# By default, this will generate the html fragments of colorized BuildStream terminal
# output only if they don't yet exist.
#
# Specify BST_FORCE_SESSION_REBUILD=1 to force rebuild all session html files.
#
sessions: sessions-prep
	for file in $(wildcard sessions/*.run); do		\
	    PYTHONPATH=$(PYTHONPATH) $(BST2HTML) $(BST2HTMLOPTS) $$file;	\
	done

sessions-clean:
	rm -rf source/sessions

# Targets which generate docs with sphinx build
#
#
html devhelp: templates sessions
	@echo "Building $@..."
	PYTHONPATH=$(PYTHONPATH) \
	    $(SPHINXBUILD) -b $@ $(ALLSPHINXOPTS) "$(BUILDDIR)/$@" \
	    $(wildcard source/*.rst) \
	    $(wildcard source/tutorial/*.rst) \
	    $(wildcard source/examples/*.rst) \
	    $(wildcard source/elements/*.rst) \
	    $(wildcard source/sources/*.rst)
	@echo
	@echo "Build of $@ finished, output: $(CURDIR)/$(BUILDDIR)/$@"

=== requirements/requirements.txt ===
Click==7.0
grpcio==1.23.0
pluginbase==1.0.0
protobuf==3.9.1
psutil==5.6.3
ruamel.yaml==0.16.5
setuptools==40.8.0
ujson==1.35
## The following requirements were added by pip freeze:
Jinja2==2.10.1
MarkupSafe==1.1.1
ruamel.yaml.clib==0.1.2
six==1.12.0

=== debian/changelog ===
buildstream (1.4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #933395)
  * Depend on python3-fuse
  * Build-Depend on python3-fuse and python3-ujson for tests
  * Build-Depend on dh-sequence-gnome and dh-sequence-python3
  * Update adjust-test-dependencies.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 18:31:09 -0400

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                bubblewrap,
-               dh-python,
-               gnome-pkg-tools (>= 0.10),
-               libfuse-dev <!nocheck>,
-               pylint3 <!nocheck>,
+               dh-sequence-gnome,
+               dh-sequence-python3,
                python3,
                python3-click <!nocheck>,
                python3-coverage <!nocheck>,
+               python3-fuse <!nocheck>,
                python3-grpcio <!nocheck>,
                python3-jinja2 <!nocheck>,
                python3-pip <!nocheck>,
@@ -31,6 +30,7 @@
                python3-pytest-xdist <!nocheck>,
                python3-ruamel.yaml <!nocheck>,
                python3-setuptools,
+               python3-ujson <!nocheck>,
                python3-wheel <!nocheck>,
 Standards-Version: 4.3.0
 Rules-Requires-Root: no
@@ -63,7 +63,8 @@
 Section: python
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-fuse
 Description: Python library for BuildStream toolset
  BuildStream is a GNOME project to improve the continuous integration
  of complex systems and applications. The project aims to pay special

## buildstream 1.4.3

=== debian/changelog ===
buildstream (1.4.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Works with Python 3.8. (Closes: #962197)
  * Add the missing dependency on bubblewrap. (Closes: #962205)

 -- Adrian Bunk <bunk@debian.org>  Sat, 18 Jul 2020 10:03:58 +0300

=== debian/control ===
--- 
+++ 
@@ -63,6 +63,7 @@
 Section: python
 Architecture: all
 Depends: ${misc:Depends},
+         bubblewrap,
          ${python3:Depends},
          python3-fuse
 Description: Python library for BuildStream toolset

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_TEST_PYTEST = 0
 
 %:
-	dh $@ --with gnome,python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

## buildstream 1.6.1

=== debian/changelog ===
buildstream (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Update patch
  * debian/control.in: Don't Build-Depend on python3-pip or python3-wheel
  * Recommend git, python3-gi, & gir1.2-ostree-1.0 (Closes: #962212)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Aug 2021 20:22:56 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                bubblewrap,
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -17,10 +17,9 @@
                python3-fuse <!nocheck>,
                python3-grpcio <!nocheck>,
                python3-jinja2 <!nocheck>,
-               python3-pip <!nocheck>,
-               python3-psutil <!nocheck>,
                python3-pluginbase <!nocheck>,
                python3-protobuf <!nocheck>,
+               python3-psutil <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-pep8 <!nocheck>,
@@ -31,7 +30,6 @@
                python3-ruamel.yaml <!nocheck>,
                python3-setuptools,
                python3-ujson <!nocheck>,
-               python3-wheel <!nocheck>,
 Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/buildstream
@@ -43,7 +41,10 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-buildstream (= ${binary:Version})
-Recommends: python3-bst-external
+Recommends: gir1.2-ostree-1.0,
+            git,
+            python3-bst-external,
+            python3-gi
 Description: toolset for the Buildstream project
  BuildStream is a GNOME project to improve the continuous integration
  of complex systems and applications. The project aims to pay special

=== debian/watch ===
version=4
https://download.gnome.org/sources/BuildStream/([\d\.]+[02468])/ \
	BuildStream@ANY_VERSION@\.tar\.xz

## buildstream 1.6.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

# Note that we need to be explicit that we only require C, if not then CMake
# will require a C++ compiler to be present.
project(hello C)

include("GNUInstallDirs")

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

=== requirements/requirements.txt ===
click==8.1.3
grpcio==1.48.0
Jinja2==3.1.2
pluginbase==1.0.1
protobuf==4.21.4
psutil==5.9.1
ruamel.yaml==0.17.21
setuptools==44.1.1
ujson==5.4.0
## The following requirements were added by pip freeze:
MarkupSafe==2.1.1
ruamel.yaml.clib==0.2.6
six==1.16.0

=== doc/examples/integration-commands/files/hello/Makefile ===
# Sample makefile for hello.c
#
.PHONY: all install

all: hello

install:
	install -d ${DESTDIR}${PREFIX}/bin
	install -m 755 hello ${DESTDIR}${PREFIX}/bin

hello: hello.c
	$(CC) $< -o $@ -Wall -lhello

=== debian/changelog ===
buildstream (1.6.8-2) unstable; urgency=high

  * Cherry-pick commits to support Python 3.11 (Closes: #1030143)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Feb 2023 06:43:46 -0500

buildstream (1.6.8-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch
  * Update upstream URL for debian/watch and debian/copyright
  * Add debian/upstream/metadata
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Dec 2022 16:05:02 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                bubblewrap,
                dh-sequence-gnome,
@@ -30,7 +30,7 @@
                python3-ruamel.yaml <!nocheck>,
                python3-setuptools,
                python3-ujson <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/buildstream
 Vcs-Git: https://salsa.debian.org/gnome-team/buildstream.git

=== debian/watch ===
version=4
https://github.com/apache/buildstream/tags \
   (?:.*?/)?v?(1.6[\d.]*)@ARCHIVE_EXT@

## buildstream 1.6.9

=== Makefile ===
.PHONY: clean

default: hello

hello: src/hello.c
	cc $< -o $@

install: hello
	mkdir -p $(DESTDIR)/usr/bin
	install hello $(DESTDIR)/usr/bin

clean:
	rm -f hello

=== requirements/Makefile ===
# Makefile for updating BuildStream's requirements files.
#

REQUIREMENTS_IN := $(wildcard *.in)
REQUIREMENTS_TXT := $(REQUIREMENTS_IN:.in=.txt)
PYTHON := python3
VENV := $(PYTHON) -m venv

VENV_PIP = $(VENVDIR)/bin/pip


.PHONY: all FORCE

all: $(REQUIREMENTS_TXT)

%.txt: %.in FORCE
	$(eval VENVDIR := $(shell mktemp -d $(CURDIR)/.bst-venv.XXXXXX))
	$(VENV) $(VENVDIR)
	$(VENV_PIP) install wheel
	$(VENV_PIP) install -r $<
	$(VENV_PIP) freeze -r $< | grep -v pkg-resources > $@
	rm -rf $(VENVDIR)

FORCE:

=== requirements/requirements.txt ===
click==8.1.3
grpcio==1.51.1
Jinja2==3.1.2
pluginbase==1.0.1
protobuf==4.21.4
psutil==5.9.1
ruamel.yaml==0.17.21
setuptools==44.1.1
ujson==5.4.0
## The following requirements were added by pip freeze:
MarkupSafe==2.1.1
ruamel.yaml.clib==0.2.7
six==1.16.0

=== src/CMakeLists.txt ===
add_executable(hello main.c)

message("Bindir is ${BINDIR}")

install(TARGETS hello RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tests/integration/project/files/workspace-updated-dependency-failed/Makefile ===
all: test.sh

hello: /etc/test/hello.txt
	cp $^ $@

brazil: /etc/test/brazil.txt
	cp $^ $@

test.sh: hello brazil
	echo "#!/usr/bin/env sh" > $@
	echo -n "echo '" >> $@
	cat $^ >> $@
	echo -n "'" >> $@

=== debian/changelog ===
buildstream (1.6.9-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Update debian/watch and continue only watching for 1.6.x releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 11:26:10 -0400

buildstream (1.6.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop extraneousdependency on python3-pytest-pep8
    to allow it's removal and later removal of "pep8" itself.
  * Splat an new versioneer.py on top of the old one (Closes: #1074674)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 16 Jan 2025 00:06:50 +0100

buildstream (1.6.9-1) unstable; urgency=medium

  * New upstream release
  * Drop Python 3.11 patches: applied in new release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 May 2023 08:56:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,10 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: buildstream
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                bubblewrap,
-               dh-sequence-gnome,
                dh-sequence-python3,
                python3,
                python3-click <!nocheck>,
@@ -22,7 +17,6 @@
                python3-psutil <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-pytest-pep8 <!nocheck>,
                python3-pytest-pylint <!nocheck>,
                python3-pytest-runner,
                python3-pytest-timeout <!nocheck>,
@@ -30,7 +24,7 @@
                python3-ruamel.yaml <!nocheck>,
                python3-setuptools,
                python3-ujson <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/buildstream
 Vcs-Git: https://salsa.debian.org/gnome-team/buildstream.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_PYTEST = 0

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	# Maybe this should be in a separate package
	# But for now, it doesn't seem necessary for most users
	rm -f debian/buildstream/usr/bin/bst-artifact-server

# The tests don't work in Debian. Not sure they're very useful for us.
override_dh_auto_test:
	-PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/.*(1.6.[\d])/@PACKAGE@-$1\.tar\.gz/ \
https://api.github.com/repos/apache/@PACKAGE@/tags?per_page=100 \
https://api.github.com/repos/apache/@PACKAGE@/tarball/refs/tags/(1.6.[\d])
